Update project
Updates project settings including name, description, emoji, and linked project configuration. Linked project validation ensures same organization, no self-reference, and no 2-way cycles. Requires `canEditProjects` permission.
Supabase Auth session cookie. Automatically set when users log in via the Movabase web app.
In: cookie
Path Parameters
Project ID
uuidRequest Body
application/json
length <= 32length <= 128ID of the linked project for translation sync
uuidSource language code for linked project
Target language code for linked project
Response Body
application/json
application/json
curl -X PUT "https://app.movabase.com/api/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"project": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"desc": "string",
"emoji": "string",
"organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
"linked_project_id": "4bb7fb5d-33a4-41b2-b175-a0abbdfa942c",
"linked_language_code": "string",
"linked_language_target_code": "string",
"created_at": "2019-08-24T14:15:22Z",
"canEdit": true,
"canDelete": true,
"canViewTranslations": true,
"canEditTranslations": true
}
}{
"error": "string"
}Update language
Updates a language's code, name, or emoji across all file translations. Requires `canEditTranslations` permission.
Update translation
Updates translation values for one or more languages by key and file. Auto-creates file_translation records if needed. Upserts if the translation doesn't exist yet. Requires `canEditTranslations` permission.